로고

welcome to help desk

자주하는 질문

더 보기

1. MCS Agent 설치 관련 FAQ

installAgent.bat(sh) 실행 시 ‘java.lang.UnsupportedClassVersionError: Bad version number in .class file’라는 오류와 함께 진행되지 않음.

⇨ 서버의 Java 버전이 Agent를 실행하기 위한 최소 Java 버전보다 낮을 경우 발생하는 오류입니다.
     ‘4. 부록 – Java 실행환경 및 X_MCSAgent 설정’ 항목을 참고하여 조치해 주십시오.

Agent 설치는 정상이었으나 starAgent.bat 실행 시 ‘java.lang.UnsupportedOperationException: JRE(Java Runtime Environment) 버전 1.8이(가) 이 드라이버에서 지원되지 않습니다. JDBC 4.0을 지원하는 sqljdbc4.jar 클래스 라이브러리를 사용하십시오.’라는 오류가 로그에 계속 발생함.

⇨ Agent를 윈도우 계열에 설치하고 MS-SQL DB를 사용할 경우 발생할 수 있으며, 원인은 PATH 등 시스템 환경변수의 Java 버전과 레지스트리의 Java 버전이 맞지 않아서입니다. 
     ‘4. 부록 – Java 실행환경 및 McsAgent 설정’ 항목을 참고하여 조치해 주십시오.

2. MCS Agent 운영 관련 FAQ 

startAgent.bat(sh) 실행 시 ‘==> Connect To Agent : Fail!’이라는 메시지가 출력됨.

⇨ 일부 Unix 계열 OS에서 발생하는 경우가 있습니다. 
     Agent 환경파일의 ‘SOCK_TIMEOUT_MSEC’ 항목 값을 2000~5000, ‘SOCK_RETRY_CNT’ 항목 값을 5~15으로 변경하여 재시도해 주십시오.

로그 상에 특정 필드(예 : TCS_RESULT)가 없어 쿼리 실행 오류가 계속 발생함.

⇨ 이미 기존 모듈의해당 테이블 이미 있는 경우 Agent 설치 시 DB 객체 생성 과정에서 특정 필드를 추가하게 되는데, 이때 사용하는 DB 계정에 Alter Table 권한이 없어 추가되지 않은 상태입니다. 
     DB 계정의 권한을 확인하여 필요한 권한을 부여한 후 installAgent.bat(sh) -d로 DB 객체 생성과정을 재시도해 주십시오.
Top chevron-down